Package csb :: Package statistics :: Package samplers :: Package mc :: Class AbstractPropagationResult

[frames] | no frames]

# Class AbstractPropagationResult

source code

    object --+
             |
            AbstractPropagationResult

Known Subclasses:
  - PropagationResult
  - , Trajectory

Abstract class providing the interface for the result of a deterministic or stochastic propagation of a state.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``final``'``,` `'``heat``'``,` `'``initial``'``])``

Properties
| final Final state
float | heat Heat produced during propagation
| initial Initial state
Inherited from `object`: `__class__`

Property Details

### final

Final state

Get Method:
  unreachable.final(self) - Final state

### heat

Heat produced during propagation

Get Method:
  unreachable.heat(self) - Heat produced during propagation
Type:
  float

### initial

Initial state

Get Method:
  unreachable.initial(self) - Initial state